Use different php versions at same time.


  • | 153 points

    First of all sorry my english , I'm not native speaker :P

    Hi everyone ,
    I have two Laravel projects from differents versions , one was made it in laravel 3 (PHP 5) and the other in Laravel 5 (PHP 7). I've both running in laragon , but in some point they have to communicate each other.

    The problem is that I can't run both projects at the same time because they use differents PHP versions. I've tried to setup Apache with PHP 5 and Nginx with PHP 7 but they only recognize one PHP version.

    Any idea of how to made this setup in laragon or other way to use different version of php at same time?

    thanks :)


  • administrators
    | 87338 points

    @Diego-Wilson : Did you try using PHP builtin webserver to serve the less frequent one?
    You can make it autorun using Procfile:
    https://forum.laragon.org/topic/476/laragon-feature-procfile-what-is-it


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.